CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2018 开发者帮助

PickFirst 属性 (ActiveX)

2024-5-18 16:54| 发布者: admin| 查看: 9| 评论: 0|原作者: admin|来自: AutoCAD

PickFirst 属性 (ActiveX)

确定是在发出命令之前(名词-动词选择)之前还是之后选择对象。

支持的平台:仅限 Windows

签名

VBA:

object.PickFirst
对象

类型:首选项选择

此属性应用于的对象。

属性值

只读:

类型:布尔

  • True:打开 PICKFIRST。
  • False:关闭 PICKFIRST。

言论

此属性的初始值为 。True

注意:此属性的值存储在 PICKFIRST 系统变量中。

例子

VBA:

Sub Example_PickFirst()
    ' This example reads and modifies the preference value that controls
    ' whether you select objects before (noun-verb selection) or after
    ' you issue a command.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesSelection
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the selection preferences object
    Set ACADPref = ThisDrawing.Application.Preferences.Selection
    
    ' Read and display the original value
    originalValue = ACADPref.PickFirst
    MsgBox "The PickFirst preference is set to: " & originalValue

    ' Modify the PickFirst preference by toggling the value
    ACADPref.PickFirst = Not (ACADPref.PickFirst)
    newValue = ACADPref.PickFirst
    MsgBox "The PickFirst preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.PickFirst = originalValue
    MsgBox "The PickFirst preference was reset back to: " & originalValue
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_PickFirst()
    ;; This example reads and modifies the preference value that controls
    ;; whether you select objects before (noun-verb selection) or after
    ;; you issue a command.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-PickFirst (vla-get-Selection preferences)))
    (alert (strcat "The PickFirst preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the PickFirst preference by toggling the value
    (vla-put-PickFirst (vla-get-Selection preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PickFirst (vla-get-Selection preferences)))
    (alert (strcat "The PickFirst preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-PickFirst (vla-get-Selection preferences) originalValue)
    (alert (strcat "The PickFirst preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 16:00

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部